Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Eclipse error on startup. Linux Mint.(Eclipse won't start)
Eclipse error on startup. Linux Mint. [message #1803174] Sun, 24 February 2019 19:20 Go to next message
abel gutierrez is currently offline abel gutierrezFriend
Messages: 5
Registered: February 2019
Junior Member
Hi, I don't know how to open eclipse. I keep getting an error. Here is the log https://gist.github.com/adabo/ed272831d54e4515d0f9643ba49c06a2
I'm running linux mint 19 btw.
I've tried installing through software manager and through installer from elipse.org
Commandline after eclipse -clean:
OpenJDK 64-Bit Server VM warning: Ignoring option MaxPermSize; support was removed in 8.0

Oddly enough, eclipse did actually run after the installer setup. But has not opened since.

The files:
eclipse.ini:
#This configuration file was written by: org.eclipse.oomph.p2.internal.core.AgentImpl
#Sun Feb 24 10:43:56 CST 2019
eclipse.product=org.eclipse.platform.ide
osgi.splashPath=file\:/home/abel/.p2/pool/plugins/org.eclipse.platform_4.10.0.v20181206-0815
org.eclipse.equinox.simpleconfigurator.configUrl=file\:org.eclipse.equinox.simpleconfigurator/bundles.info
osgi.bundles.defaultStartLevel=4
eclipse.application=org.eclipse.ui.ide.workbench
osgi.instance.area.default=@user.home/workspace
osgi.bundles=reference\:file\:org.eclipse.equinox.simpleconfigurator_1.3.200.v20181101-1115.jar@1\:start
eclipse.p2.data.area=file\:/home/abel/.p2/
eclipse.p2.profile=_home_abel_eclipse_cpp-2018-12_eclipse
osgi.framework=file\:/home/abel/.p2/pool/plugins/org.eclipse.osgi_3.13.200.v20181130-2106.jar
osgi.framework.extensions=reference\:file\:org.eclipse.osgi.compatibility.state_1.1.300.v20181116-1550.jar
eclipse.buildId=4.10.0.I20181206-0815

config.ini:
-startup
plugins/org.eclipse.equinox.launcher_1.5.200.v20180922-1751.jar
--launcher.library
/home/abel/.p2/pool/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.900.v20180922-1751
-product
org.eclipse.epp.package.cpp.product
-showsplash
org.eclipse.epp.package.common
--launcher.defaultAction
openFile
--launcher.appendVmargs
-vm
/usr/lib/jvm/java-11-openjdk-amd64/bin
-vmargs
-Dosgi.requiredJavaVersion=1.8
-Dosgi.instance.area.default=@user.home/eclipse-workspace
-XX:+UseG1GC
-XX:+UseStringDeduplication
--add-modules=ALL-SYSTEM
-Dosgi.requiredJavaVersion=1.8
-Dosgi.dataAreaRequiresExplicitInit=true
-Xms256m
-Xmx1024m
--add-modules=ALL-SYSTEM
-Declipse.p2.max.threads=10
-Doomph.update.url=http://download.eclipse.org/oomph/updates/milestone/latest
-Doomph.redirection.index.redirection=index:/->http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/

error log:
!SESSION Sun Feb 24 11:05:05 CST 2019 ------------------------------------------
!ENTRY org.eclipse.equinox.launcher 4 0 2019-02-24 11:05:05.610
!MESSAGE Exception launching the Eclipse Platform:
!STACK
java.lang.ClassNotFoundException: org.eclipse.core.runtime.adaptor.EclipseStarter
	at java.base/java.net.URLClassLoader.findClass(URLClassLoader.java:466)
	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:566)
	at java.base/java.lang.ClassLoader.loadClass(ClassLoader.java:499)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:626)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1414)

Steps I've tried:


  1. stack overflow: link removed
  2. Tried sudo apt-get install --reinstall libequinox-osgi-java
  3. java -d32 -version:
    Error: Could not create the Java Virtual Machine.
    Error: A fatal exception has occurred. Program will exit.

  4. java -d64 -version:
    Error: Could not create the Java Virtual Machine.
    Error: A fatal exception has occurred. Program will exit.



Really appreciate any suggestions and assitance. Thanks.
Re: Eclipse error on startup. Linux Mint. [message #1803180 is a reply to message #1803174] Mon, 25 February 2019 02:06 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30141
Registered: July 2009
Senior Member
I wonder what is the default version of Java that's available on your PATH? That's what the installer itself would have used and it's clear the installer worked for you...

I think Open JDK should work, but you might try installing an Oracle JDK and using that in place of
-vm
/usr/lib/jvm/java-11-openjdk-amd64/bin
in the config.ini...
Re: Eclipse error on startup. Linux Mint. [message #1803250 is a reply to message #1803180] Mon, 25 February 2019 20:32 Go to previous messageGo to next message
abel gutierrez is currently offline abel gutierrezFriend
Messages: 5
Registered: February 2019
Junior Member
Thank you , Ed. I tried to find my PATH variable and this is what env output.
LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=00:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha=01;31:*.lz4=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.zst=01;31:*.tzst=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.wim=01;31:*.swm=01;31:*.dwm=01;31:*.esd=01;31:*.jpg=01;35:*.jpeg=01;35:*.mjpg=01;35:*.mjpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.oga=00;36:*.opus=00;36:*.spx=00;36:*.xspf=00;36:
LESSCLOSE=/usr/bin/lesspipe %s %s
LANG=en_US.UTF-8
GDM_LANG=en_US
DISPLAY=:0
GTK_OVERLAY_SCROLLING=1
COLORTERM=truecolor
XDG_VTNR=7
SSH_AUTH_SOCK=/run/user/1000/keyring/ssh
MANDATORY_PATH=/usr/share/gconf/cinnamon.mandatory.path
XDG_SESSION_ID=c1
XDG_GREETER_DATA_DIR=/var/lib/lightdm-data/abel
USER=abel
DESKTOP_SESSION=cinnamon
GNOME_TERMINAL_SCREEN=/org/gnome/Terminal/screen/1c001f55_2b10_40f8_b560_919ed0474d50
DEFAULTS_PATH=/usr/share/gconf/cinnamon.default.path
QT_QPA_PLATFORMTHEME=qt5ct
PWD=/home/abel
HOME=/home/abel
SSH_AGENT_PID=1190
QT_ACCESSIBILITY=1
XDG_SESSION_TYPE=x11
XDG_DATA_DIRS=/usr/share/cinnamon:/usr/share/gnome:/home/abel/.local/share/flatpak/exports/share:/var/lib/flatpak/exports/share:/usr/local/share:/usr/share
XDG_SESSION_DESKTOP=cinnamon
GJS_DEBUG_OUTPUT=stderr
GTK_MODULES=gail:atk-bridge
TERM=xterm-256color
SHELL=/bin/bash
VTE_VERSION=5202
XDG_SEAT_PATH=/org/freedesktop/DisplayManager/Seat0
XDG_CURRENT_DESKTOP=X-Cinnamon
GPG_AGENT_INFO=/run/user/1000/gnupg/S.gpg-agent:0:1
GNOME_TERMINAL_SERVICE=:1.76
XDG_SEAT=seat0
SHLVL=1
LANGUAGE=en_US
GDMSESSION=cinnamon
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
LOGNAME=abel
DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/1000/bus
XDG_RUNTIME_DIR=/run/user/1000
XAUTHORITY=/home/abel/.Xauthority
XDG_SESSION_PATH=/org/freedesktop/DisplayManager/Session0
XDG_CONFIG_DIRS=/etc/xdg/xdg-cinnamon:/etc/xdg
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games
CINNAMON_VERSION=4.0.8
GJS_DEBUG_TOPICS=JS ERROR;JS LOG
SESSION_MANAGER=local/smopki:@/tmp/.ICE-unix/1124,unix/smopki:/tmp/.ICE-unix/1124
LESSOPEN=| /usr/bin/lesspipe %s
_=/usr/bin/env
Re: Eclipse error on startup. Linux Mint. [message #1803270 is a reply to message #1803250] Tue, 26 February 2019 01:30 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30141
Registered: July 2009
Senior Member
I see it in your list. But that doesn't tell me which "java" it finds when you type "java" on the command line...
Re: Eclipse error on startup. Linux Mint. [message #1803301 is a reply to message #1803270] Tue, 26 February 2019 14:28 Go to previous messageGo to next message
abel gutierrez is currently offline abel gutierrezFriend
Messages: 5
Registered: February 2019
Junior Member
Oh, sorry, I didn't understand. Here's the ouput:
java --version
openjdk 10.0.2 2018-07-17
OpenJDK Runtime Environment (build 10.0.2+13-Ubuntu-1ubuntu0.18.04.4)
OpenJDK 64-Bit Server VM (build 10.0.2+13-Ubuntu-1ubuntu0.18.04.4, mixed mode)
Re: Eclipse error on startup. Linux Mint. [message #1803310 is a reply to message #1803301] Tue, 26 February 2019 15:59 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3408
Registered: July 2009
Senior Member

Are you trying to use the version packaged in Mint, or a download/install from Eclipse.org? I wouldn't recommend trying to switch between them.

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Eclipse error on startup. Linux Mint. [message #1803313 is a reply to message #1803174] Tue, 26 February 2019 16:28 Go to previous messageGo to next message
abel gutierrez is currently offline abel gutierrezFriend
Messages: 5
Registered: February 2019
Junior Member
I have tried both which gave the same error. The only difference being that installer from eclipse.org launched eclipse immediately after install, but never again since.

I don't have any preference as to which one is installed and used. I just want to start coding.
Re: Eclipse error on startup. Linux Mint. [message #1803315 is a reply to message #1803313] Tue, 26 February 2019 16:33 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 30141
Registered: July 2009
Senior Member
If you try "which java" you will know that path to that version of Java and you could try to use that in your config.ini's -vm option, i.e., replace the line that currently has /usr/lib/jvm/java-11-openjdk-amd64/bin with the bin folder of your Java 10 version of Java...
Re: Eclipse error on startup. Linux Mint. [message #1803369 is a reply to message #1803315] Wed, 27 February 2019 13:11 Go to previous messageGo to next message
abel gutierrez is currently offline abel gutierrezFriend
Messages: 5
Registered: February 2019
Junior Member
Thanks, Ed, I will do that. Might it be prudent, however to remove java 10 and install the new 11 instead?
Re: Eclipse error on startup. Linux Mint. [message #1803525 is a reply to message #1803369] Sun, 03 March 2019 01:44 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 30141
Registered: July 2009
Senior Member
First try that it works, then you could consider deleting Java installations that don't work.
Previous Topic:Installation on Server for multi-users lab help
Next Topic:Enquiry - Eclipse Plugins for Various deployment scenarios
Goto Forum:
  


Current Time: Sun May 26 21:01:02 GMT 2019

Powered by FUDForum. Page generated in 0.03539 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top